# Wheather app

npm i 

npm run dev


1. Create context to be able to pass information to the components and make API calls.
2. I use React Hook Form o search for the weather in different cities and countries.
3. Use [Geocoding API] (https://openweathermap.org/api/geocoding-api) to extract information.

4. URL DEPLOY
https://react-vite-weather.netlify.app/
